import request from '@/utils/request'

// 查询企业年报网站或网店信息列表
export function listWebsite(query) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportWebsite/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业年报网站或网店信息详细
export function getWebsite(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportWebsite/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业年报网站或网店信息
export function addWebsite(data) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportWebsite',
    method: 'post',
    data: data
  })
}

// 修改企业年报网站或网店信息
export function updateWebsite(data) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportWebsite',
    method: 'put',
    data: data
  })
}

// 删除企业年报网站或网店信息
export function delWebsite(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseAnnualReportWebsite/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delWebsiteBatch(ids) {
  return request.post('/basicData/xcrEnterpriseAnnualReportWebsite/delete',ids)
}
